apt-show-versions (0.22.11+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:18:54 +0800

apt-show-versions (0.22.11) unstable; urgency=medium

  * fix long standing bug handling incomplete entries in
    /var/lib/dpkg/status (closes: 685439)
  * Switch to dpkg-source 3.0 (native) format

 -- Christoph Martin <martin@uni-mainz.de>  Sat, 16 Feb 2019 12:10:23 +0100

apt-show-versions (0.22.10) unstable; urgency=medium

  * disable the stacksize limit of Storable completely (closes: #913556)
  * disable setting of stacksize limit for older Storable version (closes:
    #913477)
  * change my maintainer address
  * fix comment in /etc/apt/apt.conf.d/20apt-show-versions (closes:
    #808483)

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 14 Nov 2018 16:58:00 +0100

apt-show-versions (0.22.9) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Christoph Martin ]
  * set a higher limit for the hash stacksize in perl Storable (closes:
    #912695, #912709, #912970, #898090)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 06 Nov 2018 11:32:25 +0100

apt-show-versions (0.22.8) unstable; urgency=medium

  * debian/compat: Bump to 9
  * debian/control:
    - Build-depend on debhelper (>=9)
    - Move Vcs-* to Salsa
  * debian/rules:
    - Use dh_prep instead of dh_clean -k
    - Install apt-show-versions bash-completion script in updated path
  * debian/dirs:
    - Updated to us latest bash-completion path

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 14 Sep 2018 16:07:41 +0200

apt-show-versions (0.22.7) unstable; urgency=medium

  * fix uninitialized value bug (closes: #768534)
  * fix no available version in archive bug (closes: #768978)

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 21 Jan 2015 21:50:39 +0100

apt-show-versions (0.22.6) unstable; urgency=medium

  * add French translation update (closes: #767876)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 04 Nov 2014 15:57:46 +0100

apt-show-versions (0.22.5) unstable; urgency=medium

  [ Christoph Martin ]
  * fix not showing available versions if pkg not installed (thanks to
    Ross Vandegrift <ross@kallisti.us>) (closes: #725107, #715314)
  * fix sorting of versions for correct output of current version (thanks
    to debianuser01@free.fr )(closes: #730338, #613965)
  * add --version option (closes: #725963)
  * remove redundant version information in source
  * add German translation update (closes: #765178)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 04 Nov 2014 15:29:50 +0100

apt-show-versions (0.22.4) unstable; urgency=medium

  [ Christoph Martin ]
  * fix "keys on reference is experimental" Warning with perl 5.20
    (closes: #758287)
  * fix bash completion to complete to all packages (not only installed )
    (closes: #664474)
  * change code example to use grep instead of fgrep (closes: #732379)
  * update German translation (closes: #733662)
  * add Portuguese translation (closes: #733765)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 28 Aug 2014 17:32:49 +0200

apt-show-versions (0.22.3) unstable; urgency=low

  * fix =item usage in .pod documentation to follow pod2man change
    (closes: #724091)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 30 Sep 2013 13:53:10 +0200

apt-show-versions (0.22.2) unstable; urgency=low

  * fix display for not installed packages (thanks to Greg Klanderman
    <gak@klanderman.net>) (closes: #715314)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 27 Aug 2013 10:40:41 +0200

apt-show-versions (0.22.1) unstable; urgency=low

  * fix postinst for new installs (closes: #714563)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 02 Jul 2013 11:21:37 +0200

apt-show-versions (0.22) unstable; urgency=low

  * fix postinst to not fail if old cache files are absent (closes:
    #712911)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 21 Jun 2013 11:59:24 +0200

apt-show-versions (0.21) unstable; urgency=low

  * add support for multiarch (Closes: #696655) thanks to
    Greg Klanderman <gak@klanderman.net>
  * fix storable byteorder problem (Closes: #626867)
  * fix bash completion (Closes: #680663)
  * debian/NEWS: added about multiarch
  * explicitly set umask to 0022 in postinstall to assure readable cache
    files (Closes: #706083)
  * change ordering of fields to consistently show version is second
    column (Closes: #611435)
  * add $misc:Depends to control
  * conform to standards version 3.9.3 (no changes)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 21 Jun 2013 11:57:59 +0200

apt-show-versions (0.20) unstable; urgency=low

  * fix race condition in parallel build mode. (Closes: #689681)
  * add stable-updates testing-proposed-updates and testing-updates to
    list of official suites

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 26 Oct 2012 20:59:14 +0200

apt-show-versions (0.19+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Add an apt hook to update the apt cache (Closes: #685439)
  * Add experimental to the list of official suites

 -- Paul Wise <pabs@debian.org>  Tue, 02 Oct 2012 14:12:03 +0800

apt-show-versions (0.19) unstable; urgency=low

  * add homepage url to contol file (closes: #617856)
  * add Slovak translation (sk) (closes: #677483)
  * update German translation (de) (closes: #677652)
  * add Danish translation (dk) (closes: #677719)
  * update Frensh translation (fr) (closes: #678397)
  * add Galician translation (gl) (closes: #678663)
  * update Spanish translation (es) (closes: #678892)
  * add Italian translation (it) (closes: #679159)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 24 Aug 2012 16:15:56 +0200

apt-show-versions (0.18) unstable; urgency=low

  * Fix bug which caused squeeze-updates and squeeze to mask each other
    (closes: #623252)
  * Clarify documentation (closes: #633860, #611433)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 12 Jun 2012 17:47:30 +0200

apt-show-versions (0.17) unstable; urgency=low

  * recognise new InRelease files (closes: #612765, #613949)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 18 Feb 2011 14:34:48 +0100

apt-show-versions (0.16) unstable; urgency=low

  [ Andreas Hoenen ]
  * Harden code regarding releases for which properties like their name are
    unknown, thus avoiding perl warnings about uninitialized values.  Thanks to
    John V. Belmonte and Anders Boström for reporting.  (Closes: #515328)
  * Fix manpage encoding: create UTF-8 manpages for all supported languages.
    Thanks to Vincent Danjean for reporting and the patch.  (Closes: #524577)
  * Fix function name in bash completion file in order to become POSIX
    compliant and to work for Bash 2.  Thanks to Emilio Pozuelo Monfort for
    reporting and the patch.  (Closes: #531608)
  * Change version variables' names in a-s-v script, thus ExtUtils::MakeMaker
    succeeds in version extraction.
  * debian/control:
    Upgrade Standards-Version: 3.8.1 (no changes needed)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 19 Jun 2009 17:47:57 +0200

apt-show-versions (0.15) unstable; urgency=low

  [ Christoph Martin ]
  * call apt-show-versions without path in cron.daily

  [ Andreas Hoenen ]
  * Also consider manual upgrade possibilities when upgradeable option is set.
    Thanks to Anders Boström for reporting.  (Closes: #498699)
  * Remove path from a-s-v call in postinst.  Thanks, lintian.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 16 Sep 2008 10:23:46 +0200

apt-show-versions (0.14) unstable; urgency=low

  [ Andreas Hoenen ]
  * Consider manual upgrade possibilities when no policy driven, automatic
    upgrade is possible.
  * Add german manpage.  Thanks, Helge Kreutzmann.  (Closes: #480368)
  * Add vietnamese manpage.  Thanks, Clytie Siddall.  (Closes: #480491)
  * debian/control:
    Upgrade Standards-Version: 3.8.0 (no changes needed)

 -- Christoph Martin <Christoph.Martin@uni-mainz.de>  Tue, 19 Aug 2008 10:25:24 +0200

apt-show-versions (0.13) unstable; urgency=low

  [ Andreas Hoenen ]
  * Replace hardcoded list of supported release names by dynamic determination
    of used release names.  This enables (among others) automatic support for
    oldstable and for unofficial repositories.
    (Closes: #161934, #165883, #200274, #344262, #396216, #475880)
  * Improve output format of option -a:
    - Avoid repetition of the default-release version.
    - Strictly sort versions by version number as primary criterion.
    - Enforce tabular layout.
    - Add an archive column to output.
  * Sort output by package names.
  * If specified package is not only not installed, but even not available
    (e.g. a misspelled package name), dump an accordant comment.
  * When called with exactly one package and upgradeable option set for a
    package that actually is not upgradeable, return with non zero exit code.
    (Closes: #464047)
  * Correct combination of upgradeable and allversions options: If a package is
    not upgradeable, without regard of allversions option nothing gets printed
    for it.
  * Add --regex-all variation of option --regex: also show matching packages
    which are not installed.
    (Closes: #460272)
  * Actualize french manual page.  Thanks, Jean-Baka Domelevo Entfellner.
    (Closes: #460631)
  * Actualize swedish manual page.  Thanks, Daniel Nylander.
    (Closes: #470379)
  * Actualize spanish manual page.  Thanks, Rubén Porras Campo.
    (Closes: #470765)
  * Actualize FSF address in a-s-v script.
  * Actualize my mail address in debian/control.

  [ Christoph Martin ]
  * call closedir from correct position (closes: #479255)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu,  8 May 2008 16:03:35 +0200

apt-show-versions (0.12) unstable; urgency=low

  [ Andreas Hoenen ]
  * Add lenny to list of known releases names.  (Closes: #457916)
  * debian/copyright:
    Actualize the location of the license file: GPL-2.
  * debian/control:
    Upgrade Standards-Version: 3.7.3 (no changes needed)
  * debian/rules:
    - Remove commented binary-arch actions.
    - Move the binary-arch actions to binary-indep, as apt-show-versions is an
      architecture independent package.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed,  2 Jan 2008 18:02:41 +0100

apt-show-versions (0.11) unstable; urgency=low

  [ Andreas Hoenen ]
  * Make apt-show-versions aware of the package pins in
    /etc/apt/preferences.  (Closes: #363104, #426746)
  * Support multiple package names as arguments.  (Closes: #373811)
  * Provide bash completion.  (Closes: #346213)
  * Manual page / pod documentation:
    - Actualize manual page regarding multiple package names support.
    - Adapt po files regarding manual page changes.
    - Remove static files man/apt-show-versions.pod and
      man/po/apt-show-versions.pot, as they get generated at build time.
  * Actualize FSF address in debian/copyright.
  * Bump Standards-Version to 3.7.2 (no changes necessary).
  * debhelper:
    - Upgrade to debhelper compatibility level 5.
    - Move dependency on debhelper from Build-Depends-Indep to Build-Depends.
  * debian/rules:
    - Improve error handling of realclean command.
    - Comment superfluous dh_ calls.
    - Make po4a call verbose.
  * debian/control:
    Add fields:
    - Vcs-Browser
    - Vcs-Svn
  * Add myself to uploaders.  (Closes: #382026)

  [ Christoph Martin ]
  * Prepare for release

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon,  3 Dec 2007 13:06:12 +0100

apt-show-versions (0.10) unstable; urgency=low

  * use full patch of apt-show-versions in postinsts (closes: #352960)
  * fix version compare with epochs (closes: #376835)
  * remove /var/cache/apt-show-versions on remove (closes: #321398, #326235)
  * read official release from apt.conf and use this as "best" release
    (closes: #323214) (quick fix, needs more work)
  * added svedish translation template (closes: #332465)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed,  9 Aug 2006 10:51:38 +0200

apt-show-versions (0.09) unstable; urgency=low

  * include etch and experimental as releases (closes: #316620)
  * fix typos in manpage (closes: #307027)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 28 Jul 2005 16:26:41 +0200

apt-show-versions (0.08) unstable; urgency=low

  * switch to po4a to ease manpage translation (closes: #271107)
  * update spanish translation (closes: #239910)
  * really only print messages about upgradable packages is brief mode
    (closes: #238170)
  * fix handling of multiple package versions in one Packages file
    (closes: #273932)
  * fix checking for cache files (check if creation time not modification
    time is newer than cache file) (closes: #225205, #234704, #272076,
    #284689)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun,  6 Mar 2005 16:37:49 +0100

apt-show-versions (0.07) unstable; urgency=low

  * fix bug in version comparison which lead to false output (closes:
    #225468)
  * run apt-show-versions -i at configure time to initialize cache

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 24 Feb 2004 15:59:30 +0100

apt-show-versions (0.06) unstable; urgency=low

  * add dependency on libstorable-perl (closes: #225034)
  * remove old cache files if initializing (closes: #225468, #229767)
  * cron.daily checks if apt-show-versions is installed (closes: #225245)
  * check for corrupt cache files (closes: #228988)
  * correct version number in help (closes: #219742)
  * correct spelling error in manpage (closes: #230054)
  * include spanish and french manpage (closes: #197397, #231581)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 20 Feb 2004 15:12:43 +0100

apt-show-versions (0.05) unstable; urgency=low

  * fix email address in copyright file
  * fix typo in manpage and correct the POD syntax (closes: #196657)
  * include patch from Emmanuel Lacour to use libapt-pkg-perl
  * try to guess release from pathname of packages file if no Release file
    is present
  * introduce package and status cache for speedup (closes: #172110)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri,  7 Nov 2003 18:08:05 +0100

apt-show-versions (0.04) unstable; urgency=low

  * not including /usr/lib and /usr/share/perl5 (closes: #152414)
  * fix reference to apt(8) manpage (closes: #151653)
  * optionaly don't print packages which are no hold (closes: #161376)
  * consider also non-standard releases (closes: #154245)
  * print correct message if installed version is newer than newest in
    archive (closes: #160583)
  * don't ignore silently extra arguments (closes: #133789)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 23 Sep 2002 16:24:34 +0200

apt-show-versions (0.03) unstable; urgency=low

  * make option --brief work also with uptodate packages
  * quote $release correctly to catch non alphanumeric charachters
    (closes: bug#127675)
  * compare nondigits correctly according to Debian policy (closes:
    bug#127559)
  * include proposed-updates in list of defined Releases (closes:
    bug#127744)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 13 Jan 2002 14:58:46 +0100

apt-show-versions (0.02) unstable; urgency=low

  * add optional depends on perl-5.005 or perl-5.004 to make it usable
    with older version of perl
  * Fix typo of available (closes: Bug#123253)
  * Add doku for option -u to manpage (closes: Bug#123293)
  * Print versions also for uninstalled packages if using option -p
  * add support for regex match while using option -p

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 11 Dec 2001 14:34:23 +0100

apt-show-versions (0.01) unstable; urgency=low

  * Initial Release.
  * Closes: Bug#122387

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue,  4 Dec 2001 16:02:17 +0100


